# allprojects

abstract fun allprojects(action: Action<in Project>)

Configures this project and each of its sub-projects.

This method executes the given Action against this project and each of its sub-projects.

#### Parameters

action

The action to execute.

abstract fun allprojects(@DelegatesTo(value = Project::class) configureClosure: Closure)

Configures this project and each of its sub-projects.

This method executes the given closure against this project and its sub-projects. The target Project is passed to the closure as the closure's delegate.

#### Parameters

configureClosure

The closure to execute.